<?php
// $Id: pagestyle-text.tpl.php,v 1.1.2.1 2009/02/01 21:50:23 christianzwahlen Exp $

/**
 * @file
 * Default theme implementation for rendering a block.
 *
 * Available variables:
 * - $dest: The drupal function drupal_get_destination().
 * - $list_inline: Display the ul list "inline" or not.
 * - $link_type: Return "" for variable or _fix.
 * - $display_links: Show or hide ("display_hidden") the text in the links.
 * - $black_white: The pagestyle Black/White "black_white".
 * - $white_black: The pagestyle Black/White "white_black".
 * - $yellow_blue: The pagestyle Black/White "yellow_blue".
 * - $standard: The pagestyle Standard "standard".
 * - $normal: The default normal page style is Standard "standard".
 * - $display_current_pagestyle: Show or hide ("display_hidden") the text of the current pagestyle.
 * - $pagestyle: The current page style (default Standard).
 *
 * @see template_preprocess_pagestyle_text()
 */
?>
<ul class="pagestyle<?php print $list_inline; ?>">
  <?php  if ($black_white): ?>
  <li class="ps_black_white<?php print check_plain($link_type); ?>"><?php print l('<span class="'. $display_links .'">'. t('Black') .'/'. t('White') .'</span>', 'pagestyle/black_white', array('attributes' => array('title' => t('Page Style') .': '. t('Black') .'/'. t('White'), 'class' => 'icon ps_black_white'. $link_type .' pagestyle_black_white'), 'query' => $dest, 'html' => TRUE)); ?></li>
  <?php endif; ?>
  <?php  if ($white_black): ?>
  <li class="ps_white_black<?php print check_plain($link_type); ?>"><?php print l('<span class="'. $display_links .'">'. t('White') .'/'. t('Black') .'</span>', 'pagestyle/white_black', array('attributes' => array('title' => t('Page Style') .': '. t('White') .'/'. t('Black'), 'class' => 'icon ps_white_black'. $link_type .' pagestyle_white_black'), 'query' => $dest, 'html' => TRUE)); ?></li>
  <?php endif; ?>
  <?php  if ($yellow_blue): ?>
  <li class="ps_yellow_blue<?php print check_plain($link_type); ?>"><?php print l('<span class="'. $display_links .'">'. t('Yellow') .'/'. t('Blue') .'</span>', 'pagestyle/yellow_blue', array('attributes' => array('title' => t('Page Style') .': '. t('Yellow') .'/'. t('Blue'), 'class' => 'icon ps_yellow_blue'. $link_type .' pagestyle_yellow_blue'), 'query' => $dest, 'html' => TRUE)); ?></li>
  <?php endif; ?>
  <?php  if ($standard): ?>
  <li><?php print l('<span class="'. $display_links .'">'. t('Standard') .'</span>', 'pagestyle/standard', array('attributes' => array('title' => t('Page Style') .': '. t('Standard'), 'class' => 'icon ps_standard'. $link_type .' pagestyle_standard'), 'query' => $dest, 'html' => TRUE)); ?></li>
  <?php endif; ?>
</ul>
<p class="<?php print $display_current_pagestyle; ?>"><?php print t('Current Style'); ?>: <span id="pagestyle_current"><?php print $pagestyle; ?></span></p>